// ~~ Global-specific transitional PIDs ~~

// About-to-be-razed Saradush!
APPEND IMOEN25J
IF WEIGHT #997 ~RandomNum(3,1) AreaCheck("AR5000") !IsGabber("Imoen2")~ THEN BEGIN outsara1
SAY ~Not now, <GABBER>! There's huge rocks raining from the sky, if you didn't notice!~ [IRQUIET]
IF ~~ THEN EXIT
END

IF WEIGHT #997 ~RandomNum(3,2) AreaCheck("AR5000") !IsGabber("Imoen2")~ THEN BEGIN outsara2
SAY ~We should chat in a place a bit less prone to fiery disintegration.~ [IRQUIET]
IF ~~ THEN EXIT
END

IF WEIGHT #997 ~RandomNum(3,3) AreaCheck("AR5000") !IsGabber("Imoen2")~ THEN BEGIN outsara3
SAY ~Are you nuts? Let's go somewhere safe!~ [IRQUIET]
IF ~~ THEN EXIT
END

// In the siege camp (before the slaughter)

IF WEIGHT #997 ~AreaCheck("AR5203") !IsGabber("Imoen2") !Global("YagaShuraHeart","GLOBAL",1) !Global("HadBhaal25Dream1","GLOBAL",1)~ THEN BEGIN siege1
SAY ~This isn't quite the place to stop and talk, ya know. Pretty sure you can see the giant hostile army just a few paces away.~ [IRQUIET]
= ~Hah hah, get it? *Giant* army. I'm killin' it today.~
IF ~~ THEN EXIT
END

IF WEIGHT #997 ~AreaCheck("AR5203") !IsGabber("Imoen2") Global("YagaShuraHeart","GLOBAL",1) !Global("HadBhaal25Dream1","GLOBAL",1)~ THEN BEGIN siege2
SAY ~(Imoen is staring at the burning remains of Saradush.) We're about to kill them all, <CHARNAME>. Now it's not the time to talk.~ [IRQUIET]
IF ~~ THEN EXIT
END

// In the siege camp (after the slaughter) or in the Oasis

IF WEIGHT #997 ~OR(2) AreaCheck("AR6300") AreaCheck("AR5203") !IsGabber("Imoen2") Global("HadBhaal25Dream1","GLOBAL",1)~ THEN BEGIN siege1
SAY ~Let's just get out of here, <CHARNAME>.~ [IRQUIET]
IF ~~ THEN EXIT
END

// PID during combat

IF WEIGHT #880 ~!IsGabber("Imoen2") OR(2) Detect([ENEMY]) ActuallyInCombat() RandomNum(6,1)~ THEN ForceCombat1
 SAY ~Maybe talk when no-one's trying to kill us?~ [IRQUIET]
 IF ~~ THEN EXIT
END

IF WEIGHT #880 ~!IsGabber("Imoen2") OR(2) Detect([ENEMY]) ActuallyInCombat() RandomNum(6,2)~ THEN ForceCombat2
 SAY ~Love to talk, but enemies ahead!~ [IRQUIET]
 IF ~~ THEN EXIT
END

IF WEIGHT #880 ~!IsGabber("Imoen2") OR(2) Detect([ENEMY]) ActuallyInCombat() RandomNum(6,3)~ THEN ForceCombat3
 SAY ~Pretty sure we're not done fighting yet.~ [IRQUIET]
 IF ~~ THEN EXIT
END

IF WEIGHT #880 ~!IsGabber("Imoen2") OR(2) Detect([ENEMY]) ActuallyInCombat() RandomNum(6,4)~ THEN ForceCombat4
 SAY ~We're being attacked!~ [IRQUIET]
 IF ~~ THEN EXIT
END

IF WEIGHT #880 ~!IsGabber("Imoen2") OR(2) Detect([ENEMY]) ActuallyInCombat() RandomNum(6,5)~ THEN ForceCombat5
 SAY ~Less talking, more staying alive.~ [IRQUIET]
 IF ~~ THEN EXIT
END

IF WEIGHT #880 ~!IsGabber("Imoen2") OR(2) Detect([ENEMY]) ActuallyInCombat() RandomNum(6,6)~ THEN ForceCombat6
 SAY ~This isn't the greatest timing, what with the fighting that's going on...~ [IRQUIET]
 IF ~~ THEN EXIT
END
END
